<!doctype html>
<html>
<head>
    <title>New Release: Tor Browser 10.0.6 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New Release: Tor Browser 10.0.6 | Tor Project">
    <meta property="og:description" content="This version brings back a functioning meek bridge and allows to get bridges from torproject.org again.">
    <meta property="og:image" content="https://blog.torproject.org/new-release-tor-browser-1006/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-release-tor-browser-1006/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New Release: Tor Browser 10.0.6
      </h1>
    <p class="meta">by sysrqb | December 9, 2020</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor Browser 10.0.6 is now available from the <a href="https://www.torproject.org/download/">Tor Browser download page</a> and also from our <a href="https://www.torproject.org/dist/torbrowser/10.0.6/">distribution directory</a>.</p>
<p>This version brings back a functioning meek bridge, and also allows users to automatically get bridges within Tor Browser again.</p>
<p>The full <a href="https://gitweb.torproject.org/builders/tor-browser-build.git/plain/projects/tor-browser/Bundle-Data/Docs/ChangeLog.txt?h=maint-10.0-desktop">Desktop</a> and <a href="https://gitweb.torproject.org/builders/tor-browser-build.git/plain/projects/tor-browser/Bundle-Data/Docs/ChangeLog.txt?h=maint-10.0-android">Android</a> changelogs since Tor Browser 10.0.5 is:</p>
<ul>
<li>All Platforms
<ul>
<li><a href="https://bugs.torproject.org/tpo/applications/tor-browser-build/40175">Bug 40175</a>: Update obfs4proxy's TLS certificate public key pinning</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-290645"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290645" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>king20 (not verified)</span> said:</p>
      <p class="date-time">December 09, 2020</p>
    </div>
    <a href="#comment-290645">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290645" class="permalink" rel="bookmark">next update can you add…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>next update can you add flash player i cant download because of the admine right please that we be very help full for me thank you.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290651"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290651" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">December 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290645" class="permalink" rel="bookmark">next update can you add…</a> by <span>king20 (not verified)</span></p>
    <a href="#comment-290651">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290651" class="permalink" rel="bookmark">Sorry, Flash is dead and is…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sorry, Flash is dead and is not supported by Tor Browser.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290668"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290668" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 10, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to sysrqb</p>
    <a href="#comment-290668">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290668" class="permalink" rel="bookmark">Not just Tor Browser; all…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Not just Tor Browser; <a href="https://en.wikipedia.org/wiki/Adobe_Flash_Player" rel="nofollow">all major browsers</a>. "In July 2017, Adobe announced that it will end support for Flash Player on December 31, 2020, and continued to encourage the use of open HTML5 standards in place of Flash. All major web browsers plan to officially remove Adobe Flash Player on December 31, 2020, and Microsoft will be removing it from the Windows OS entirely in January 2021 via Windows Update. Apple’s latest MacOS, Big Sur, which was released November 12, 2020, removed software compatibility for Adobe Flash Player." Apple never has supported Flash on iOS.</p>
<p>But about Tor Browser, to king20,<br />
<a href="https://support.torproject.org/tbb/tbb-12/" rel="nofollow">https://support.torproject.org/tbb/tbb-12/</a><br />
<a href="https://support.torproject.org/faq/staying-anonymous/" rel="nofollow">https://support.torproject.org/faq/staying-anonymous/</a><br />
<a href="https://2019.www.torproject.org/docs/faq.html.en#TBBFlash" rel="nofollow">https://2019.www.torproject.org/docs/faq.html.en#TBBFlash</a><br />
<a href="https://2019.www.torproject.org/docs/faq.html.en#AmITotallyAnonymous" rel="nofollow">https://2019.www.torproject.org/docs/faq.html.en#AmITotallyAnonymous</a></p>
<p>Admin rights are not controlled by Tor Browser. They are OS configurations controlled by your system administrators. If you're trying to play games, look for websites that build-in Flash emulators based on JavaScript and HTML5, or look for games based on WebGL or the Unity game engine rather than Flash. Or use a less restrictive device (secondhand laptop), or be helpful to your local sysadmin (which you should do anyway), or work in the I.T. department, or learn to (ethically) hack or social engineer.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290672"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290672" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>mambo (not verified)</span> said:</p>
      <p class="date-time">December 10, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290645" class="permalink" rel="bookmark">next update can you add…</a> by <span>king20 (not verified)</span></p>
    <a href="#comment-290672">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290672" class="permalink" rel="bookmark">Tor is built the way it is…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor is built the way it is to protect it's users from leaking their I P address also to protect from tracking and finger printing techniques.. Flash has always had vulnerabilities and it could expose a Tor user by trackers and user i p address.. also it has now been removed by it's own creators you can find further info <a href="https://www.adobe.com/products/flashplayer/end-of-life.html" rel="nofollow">https://www.adobe.com/products/flashplayer/end-of-life.html</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290646"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290646" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Carl (not verified)</span> said:</p>
      <p class="date-time">December 09, 2020</p>
    </div>
    <a href="#comment-290646">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290646" class="permalink" rel="bookmark">Thanks!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-290647"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290647" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Teo Samarzija (not verified)</span> said:</p>
      <p class="date-time">December 09, 2020</p>
    </div>
    <a href="#comment-290647">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290647" class="permalink" rel="bookmark">I don&#039;t understand why…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I don't understand why bother checking the certificates. I mean, why would the appropriate response to Microsoft Azure showing an (apparently) invalid certificate be to fail mysteriously and frustrate the user? I don't see it. What if somebody is doing a MITM-attack on Azure, why not try to connect to the "meek" server anyway? It's not as if we are certain Microsoft doesn't log who uses "meek" and gives that data to governments.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290658"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290658" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>C.M. (not verified)</span> said:</p>
      <p class="date-time">December 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290647" class="permalink" rel="bookmark">I don&#039;t understand why…</a> by <span>Teo Samarzija (not verified)</span></p>
    <a href="#comment-290658">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290658" class="permalink" rel="bookmark">This is equivalent to &quot;let…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This is equivalent to "let any attacking government see meek (and moat!) in addition to Microsoft". If the attacking government is the US or related, there's effectively no difference. But if the attacking government is, say, Iran, there's an enormous difference. (Iran has specifically performed a MITM attack that got foiled by certificate pinning before, in Google Chrome.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-290670"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290670" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 10, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290647" class="permalink" rel="bookmark">I don&#039;t understand why…</a> by <span>Teo Samarzija (not verified)</span></p>
    <a href="#comment-290670">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290670" class="permalink" rel="bookmark">The certificates affect moat…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The certificates affect <span class="geshifilter"><code class="php geshifilter-php">moat</code></span> as well. Moat needs TLS, but if meek doesn't, then meek code should be decoupled from TLS. Maybe Azure refuses non-TLS connections?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290649"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290649" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 09, 2020</p>
    </div>
    <a href="#comment-290649">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290649" class="permalink" rel="bookmark">Boring unimportant update.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Boring unimportant update.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290657"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290657" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>C.M. (not verified)</span> said:</p>
      <p class="date-time">December 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290649" class="permalink" rel="bookmark">Boring unimportant update.</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-290657">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290657" class="permalink" rel="bookmark">Getting meek (and moat!)…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Getting meek (and moat!) from "almost completely non-functional" to "working again" is pretty hugely important for anyone living in a censored area.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-290669"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290669" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 10, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290649" class="permalink" rel="bookmark">Boring unimportant update.</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-290669">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290669" class="permalink" rel="bookmark">Unless you need meek bridges…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Unless you need meek bridges or new bridges via MOAT, which Microsoft broke. Then, it's very important.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290650"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290650" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>anon (not verified)</span> said:</p>
      <p class="date-time">December 09, 2020</p>
    </div>
    <a href="#comment-290650">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290650" class="permalink" rel="bookmark">Good work team. Hope to see…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good work team. Hope to see Apple Silicon support soon that would be great. Tor Browser runs well on Rosetta 2 most of the time but some onion pages keep giving a "crashed tab" error over and over. Those same pages work fine on Intel Mac. No way to make them work on the M1 chip. Hope this feedback is helpful. Looking forward to Apple Silicon support in future!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290652"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290652" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sysrqb
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sysrqb said:</p>
      <p class="date-time">December 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-290650" class="permalink" rel="bookmark">Good work team. Hope to see…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-290652">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290652" class="permalink" rel="bookmark">This is very helpful, can…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This is very helpful, can you specify any page where we can reproduce the crash? We don't have enough information (or access to a M1 macOS): <a href="https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/40262" rel="nofollow">https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/402…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-290663"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290663" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Bali (not verified)</span> said:</p>
      <p class="date-time">December 09, 2020</p>
    </div>
    <a href="#comment-290663">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290663" class="permalink" rel="bookmark">There is a new version of…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There is a new version of openssl out fiximg a security issue. Should updare for next release</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-290666"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290666" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 10, 2020</p>
    </div>
    <a href="#comment-290666">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290666" class="permalink" rel="bookmark">Are referrers ever gonna be…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Are referrers ever gonna be scrubbed from the HTTP header?</p>
<p>The main security implications are:</p>
<p>1.) If a user leaves a private, non-public .onion page of which the owners do not want anyone to know about, the next page he visits can discover that address - completely undermining the whole v3 hidden service overhaul, and the concept of "hidden" services.<br />
2.) It makes tracking users much easier.</p>
<p>Opinions?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-290695"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290695" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="NoFaceNoNameNoNumber ">NoFaceNoNameNo… (not verified)</span> said:</p>
      <p class="date-time">December 11, 2020</p>
    </div>
    <a href="#comment-290695">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290695" class="permalink" rel="bookmark">Will uploading files to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><strong>Will uploading files to sites work?</strong> Now, when choosing files to upload, nothing happens. You can check on the sites sendpace, postimage and others. In Firefox this feature works, but in Tor browser there is no reaction to file selection.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
